org.keycloak.models.sessions.infinispan.remotestore

## Class RemoteCacheInvoker

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.remotestore.RemoteCacheInvoker

-     public class RemoteCacheInvoker
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RemoteCacheInvoker.MaxIdleTimeLoader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteCacheInvoker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRemoteCache(String cacheName, org.infinispan.client.hotrod.RemoteCache remoteCache, RemoteCacheInvoker.MaxIdleTimeLoader maxIdleLoader)`
    `Set<String>` | `getRemoteCacheNames()`
    `<K,V extends SessionEntity> void` | `runTask(KeycloakSession kcSession, RealmModel realm, String cacheName, K key, MergedUpdate<V> task, SessionEntityWrapper<V> sessionWrapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### RemoteCacheInvoker

          public RemoteCacheInvoker()

  - ### Method Detail

    - #### addRemoteCache

          public void addRemoteCache(String cacheName,
                                     org.infinispan.client.hotrod.RemoteCache remoteCache,
                                     RemoteCacheInvoker.MaxIdleTimeLoader maxIdleLoader)

    - #### getRemoteCacheNames

          public Set<String> getRemoteCacheNames()

    - #### runTask

          public <K,V extends SessionEntity> void runTask(KeycloakSession kcSession,
                                                          RealmModel realm,
                                                          String cacheName,
                                                          K key,
                                                          MergedUpdate<V> task,
                                                          SessionEntityWrapper<V> sessionWrapper)

Copyright © 2021 JBoss by Red Hat. All rights reserved.